<?php
/**
 * Typography Setting
 *
 * @package events_and_celebrations
 */

// Typography Setting
$wp_customize->add_section(
    'events_and_celebrations_typography_setting',
    array(
        'panel' => 'events_and_celebrations_theme_options',
        'title' => esc_html__( 'Typography Setting', 'events-and-celebrations' ),
    )
);

$wp_customize->add_setting(
    'events_and_celebrations_site_title_font',
    array(
        'default'           => 'Sail',
        'sanitize_callback' => 'events_and_celebrations_sanitize_google_fonts',
    )
);

$wp_customize->add_control(
    'events_and_celebrations_site_title_font',
    array(
        'label'    => esc_html__( 'Site Title Font Family', 'events-and-celebrations' ),
        'section'  => 'events_and_celebrations_typography_setting',
        'settings' => 'events_and_celebrations_site_title_font',
        'type'     => 'select',
        'choices'  => events_and_celebrations_get_all_google_font_families(),
    )
);

// Typography - Site Description Font.
$wp_customize->add_setting(
	'events_and_celebrations_site_description_font',
	array(
		'default'           => 'Arimo',
		'sanitize_callback' => 'events_and_celebrations_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'events_and_celebrations_site_description_font',
	array(
		'label'    => esc_html__( 'Site Description Font Family', 'events-and-celebrations' ),
		'section'  => 'events_and_celebrations_typography_setting',
		'settings' => 'events_and_celebrations_site_description_font',
		'type'     => 'select',
		'choices'  => events_and_celebrations_get_all_google_font_families(),
	)
);

// Typography - Header Font.
$wp_customize->add_setting(
	'events_and_celebrations_header_font',
	array(
		'default'           => 'Sail',
		'sanitize_callback' => 'events_and_celebrations_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'events_and_celebrations_header_font',
	array(
		'label'    => esc_html__( 'Heading Font Family', 'events-and-celebrations' ),
		'section'  => 'events_and_celebrations_typography_setting',
		'settings' => 'events_and_celebrations_header_font',
		'type'     => 'select',
		'choices'  => events_and_celebrations_get_all_google_font_families(),
	)
);

// Typography - Body Font.
$wp_customize->add_setting(
	'events_and_celebrations_content_font',
	array(
		'default'           => 'Arimo',
		'sanitize_callback' => 'events_and_celebrations_sanitize_google_fonts',
	)
);

$wp_customize->add_control(
	'events_and_celebrations_content_font',
	array(
		'label'    => esc_html__( 'Content Font Family', 'events-and-celebrations' ),
		'section'  => 'events_and_celebrations_typography_setting',
		'settings' => 'events_and_celebrations_content_font',
		'type'     => 'select',
		'choices'  => events_and_celebrations_get_all_google_font_families(),
	)
);